unit formular;

interface
procedure printVisit;
procedure printKleber;
procedure printKleber2;
procedure printKleber3;
procedure printKlebers;
procedure printKleber2s;
procedure printKleber3s;


implementation

uses Printers, Dialogs, SysUtils,
     Graphics,Classes,Controls,
     Windows, unit1;


var breite, hoehe: Word;
    y: Integer=0;
    oRand : integer = 6;
    LRand : integer = 5;
    zaehl : integer;
const
      uRand=5;
      dz = 4;

 procedure pL(x: Word; s: string);
 begin
 printer.canvas.Brush.Style:=bsclear;
  Printer.Canvas.TextOut(x*10,y,s)
 end;

 procedure pR(x: Word; s: string);
 begin
  Printer.Canvas.TextOut(x*10,y*10,s)
 end;

 procedure zuweis;
 begin
if zaehl <= pmax then
begin
reset(f2);
while (not eof(f2)) and (person.nummer <> zaehl) do
begin
read(f2,person);
end;
datlin[2] :=  person.anrede;
datlin[3] :=  person.name;
datlin[5] :=  person.strasse;
datlin[7] :=  person.ort;
end;

 end;


procedure printVisit;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
   fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin

  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;
y := 1;
with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
end;
plus1 := FALSE;  plus2 := false;
for zip := 1 to 5 do
begin
rect := Bounds(1,y,k1-7,k2-10);
printer.canvas.stretchdraw(rect,b7);
rect := Bounds(k1+10,y,k1-7,k2-10);
printer.canvas.stretchdraw(rect,b7);

inc(y,k2+abstand-3);
end;

   EndDoc
 end;
end;



 procedure printKlebers;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
     fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin
 for zip := 1 to  20 do datlin[zip] := '';
  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;
y := 1;
br := breit;
fh := fonh;
lr := lrand+lira; mm := 0;
with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
inc(y,obra);
end;
plus1 := FALSE;  plus2 := false;
zaehl := behalt2;

for zip := 1 to 7 do
begin
zuweis;
inc(zaehl,1);
if mitbild = true then
begin
rect := Bounds(1,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(br*10,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(20*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
end;
pl(lr, datlin[2]);
pl(lr+br, datlin[2]);
pl(lr+(2*br), datlin[2]);
inc(y,fh);
pl(lr, datlin[3]);
pl(lr+br, datlin[3]);
pl(lr+(2*br), datlin[3]);
inc(y,fh);

pl(lr, datlin[5]);
pl(lr+br, datlin[5]);
pl(lr+(2*br), datlin[5]);
inc(y,fh);
pl(lr, datlin[7]);
pl(lr+br,datlin[7]);
pl(lr+(2*br),datlin[7]);


inc(y,(4 * fh)+abstand);
end;

   EndDoc
 end;
end;


 procedure printKleber;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
   fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin
 for zip := 1 to  20 do datlin[zip] := '';
  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;
y := 1;
br := breit;
fh := fonh;
lr := lrand+lira; mm := 0;

datlin[2] :=  person.anrede;
datlin[3] :=  person.name;
datlin[5] :=  person.strasse;
datlin[7] :=  person.ort;

with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
end;
plus1 := FALSE;  plus2 := false;
inc(y,obra);
for zip := 1 to 7 do
begin
if mitbild = true then
begin
rect := Bounds(1,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(br*10,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(20*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
end;
pl(lr, datlin[2]);
pl(lr+br, datlin[2]);
pl(lr+(2*br), datlin[2]);
inc(y,fh);
pl(lr, datlin[3]);
pl(lr+br, datlin[3]);
pl(lr+2*br, datlin[3]);
inc(y,fh);

pl(lr, datlin[5]);
pl(lr+br, datlin[5]);
pl(lr+(2*br), datlin[5]);
inc(y,fh);
pl(lr, datlin[7]);
pl(lr+br,datlin[7]);
pl(lr+(2*br),datlin[7]);

inc(y,(4 * fh)+abstand);
end;

   EndDoc
 end;
end;


procedure printKleber2s;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
     fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin
 for zip := 1 to  20 do datlin[zip] := '';
  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;
 y := 1;
br := breit;
fh := fonh;
lr := lrand+lira; mm := 0;


datlin[2] :=  person.anrede;
datlin[3] :=  person.name;
datlin[5] :=  person.strasse;
datlin[7] :=  person.ort;

with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
end;
plus1 := FALSE;  plus2 := false;
inc(y,obra);
zaehl := behalt2;
for zip := 1 to 8 do
begin
zuweis;
inc(zaehl,1);
if mitbild = true then
begin
rect := Bounds(1,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(br*10,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(20*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(30*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
end;
 pl(lr, datlin[2]);
pl(lr+br, datlin[2]);
pl(lr+(2*br), datlin[2]);
pl(lr+3*br, datlin[2]);
inc(y,fh);

pl(lr, datlin[3]);
pl(lr+br, datlin[3]);
pl(lr+2*br, datlin[3]);
pl(lr+3*br, datlin[3]);
inc(y,fh);

pl(lr, datlin[5]);
pl(lr+br, datlin[5]);
pl(lr+(2*br), datlin[5]);
pl(lr+(3*br), datlin[5]);
inc(y,fh);

pl(lr, datlin[7]);
pl(lr+br,datlin[7]);
pl(lr+(2*br),datlin[7]);
pl(lr+(3*br), datlin[7]);

inc(y,(2 * fh)+abstand);
end;

   EndDoc
 end;
end;




procedure printKleber3s;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
     fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin
 for zip := 1 to  20 do datlin[zip] := '';
  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;
 y := 1;
br := breit;
fh := fonh;
lr := lrand+lira; mm := 0;


datlin[2] :=  person.anrede;
datlin[3] :=  person.name;
datlin[5] :=  person.strasse;
datlin[7] :=  person.ort;

with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
end;
plus1 := FALSE;  plus2 := false;
inc(y,obra);

zaehl := behalt2;
for zip := 1 to 8 do
begin
zuweis;
inc(zaehl,1);
if mitbild = true then
begin
rect := Bounds(1,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(br*10,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(20*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
end;
pl(lr, datlin[2]);
pl(lr+br, datlin[2]);
pl(lr+(2*br), datlin[2]);
inc(y,fh);

pl(lr, datlin[3]);
pl(lr+br, datlin[3]);
pl(lr+2*br, datlin[3]);
inc(y,fh);

pl(lr, datlin[5]);
pl(lr+br, datlin[5]);
pl(lr+(2*br), datlin[5]);
inc(y,fh);

pl(lr, datlin[7]);
pl(lr+br,datlin[7]);
pl(lr+(2*br),datlin[7]);

inc(y,(2 * fh)+abstand);
end;

   EndDoc
 end;
end;


procedure printKleber2;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
     fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin
 for zip := 1 to  20 do datlin[zip] := '';
  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;

y := 1;
br := breit;
fh := fonh;
lr := lrand+lira; mm := 0;


datlin[2] :=  person.anrede;
datlin[3] :=  person.name;
datlin[5] :=  person.strasse;
datlin[7] :=  person.ort;

with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
end;
plus1 := FALSE;  plus2 := false;
inc(y,obra);
for zip := 1 to 8 do
begin
if mitbild = true then
begin
rect := Bounds(1,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(br*10,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(20*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(30*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
end;
pl(lr, datlin[2]);
pl(lr+br, datlin[2]);
pl(lr+(2*br), datlin[2]);
pl(lr+(3*br), datlin[2]);
inc(y,fh);
pl(lr, datlin[3]);
pl(lr+br, datlin[3]);
pl(lr+2*br, datlin[3]);
pl(lr+3*br, datlin[3]);
inc(y,fh);

pl(lr, datlin[5]);
pl(lr+br, datlin[5]);
pl(lr+(2*br), datlin[5]);
pl(lr+(3*br), datlin[5]);
inc(y,fh);

pl(lr, datlin[7]);
pl(lr+br,datlin[7]);
pl(lr+(2*br),datlin[7]);
pl(lr+(3*br), datlin[7]);

inc(y,(2 * fh)+abstand);
end;

   EndDoc
 end;
end;


procedure printKleber3;
 var i:Word;
     zip : integer;
     xx : array[1..6] of integer;
     yy : array[1..12] of integer;
     fh,br,hh,lr,mm : integer;
     plus1, plus2 : boolean;

 begin
 for zip := 1 to  20 do datlin[zip] := '';
  with Printer do begin
   Orientation := poPortrait;
   BeginDoc;
y := 1;
br := breit;
fh := fonh;
lr := lrand+lira; mm := 0;


datlin[2] :=  person.anrede;
datlin[3] :=  person.name;
datlin[5] :=  person.strasse;
datlin[7] :=  person.ort;

with printer.canvas do
begin
Font := Form1.label31.font;
Font.Size := Form1.Label34.Font.size;
Font.color := Form1.Label34.Font.color;
Font.Style := [];
end;
plus1 := FALSE;  plus2 := false;
inc(y,obra);
for zip := 1 to 8 do
begin
if mitbild = true then
begin
 rect := Bounds(1,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(br*10,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
rect := Bounds(20*br,y-obra,k1,k2-obra);
printer.canvas.stretchdraw(rect,b5);
end;
pl(lr, datlin[2]);
pl(lr+br, datlin[2]);
pl(lr+(2*br), datlin[2]);
inc(y,fh);
pl(lr, datlin[3]);
pl(lr+br, datlin[3]);
pl(lr+2*br, datlin[3]);
inc(y,fh);

pl(lr, datlin[5]);
pl(lr+br, datlin[5]);
pl(lr+(2*br), datlin[5]);
inc(y,fh);
pl(lr, datlin[7]);
pl(lr+br,datlin[7]);
pl(lr+(2*br),datlin[7]);

inc(y,(2 * fh)+abstand);
end;

   EndDoc
 end;
end;





end.
